Bug 58975 - Text randomly disappears on Trio3D
Summary: Text randomly disappears on Trio3D
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-28 20:12 UTC by Jerry Quinn
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-01 18:48:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jerry Quinn 2002-01-28 20:12:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20011226

Description of problem:
On a gnome-terminal, when it starts scrolling text, portions of lines disappear
and reappear.  It is very painful to use.

The effect can also be seen by pointing Netscape 4.77 at bugzilla.mozilla.org. 
The various fields will have blank lines interspersed.

xterms don't seem to exhibit this behavior.

System is IBM PL300 with integrated Trio3D rev 01 video.  I tried to install
XF4.2.0 but this required too many collateral updates, in particular, the compiler.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start up X, depth 16, 1280x1024
2.Create a gnome-terminal
3.Do ls until there's enough text to start scrolling
	

Actual Results:  As text scrolls up, some of the characters disappear, and
sometimes reappear as they continue to scroll.  Not the ones scrolling off the
top of the screen :-)

Expected Results:  All text should scroll without disappearing :-)

Additional info:

This same bug was present in X 4.0.1 not installed as rpm, under RH6.2

Comment 1 Mike A. Harris 2002-01-31 16:15:14 UTC
Please try XFree86 4.2.0 to see if the problem exists there also.  This
hardware is not available to me for testing purposes to try and
reproduce.  A lot of S3 related fixes are in the 4.2.0 release.

I provide XFree86 4.2.0 packages for RHL 7.2 on:

ftp://people.redhat.com/mharris/testing/7.2

You need all of the X packages for 4.2.0, as well as glut also found there.

You'll need to use the rawhide kernel to meet the DRM requirement or
rpm will complain you do not have kernel-drm = 4.2.0.  If it does
complain, and the DRM warning is the _only_ warning, you can use
the --nodeps option to RPM to install it.

Please update the rport with your testing results from 4.2.0

Thanks.

Comment 2 Jerry Quinn 2002-02-01 18:47:55 UTC
Awesome!  This build completely fixes the missing character problem.  Some other
problems still exist of course, but I think you can close the bug.

Thanks.



Note You need to log in before you can comment on or make changes to this bug.